<?php
    $wp_customize->add_section(
        'aboutblog_section',
        array(
            'title' => __( 'About Blog Section', 'Luzuk' ),
            'panel' => 'lz_fitness_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'aboutblog_section_disable',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Switch_Control(
            $wp_customize,
            'aboutblog_section_disable',
            array(
                'settings'      => 'aboutblog_section_disable',
                'section'       => 'aboutblog_section',
                'label'         => __( 'Disable Section', 'Luzuk' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'Luzuk' ),
                    'off' => __( 'No', 'Luzuk' )
                ),
            )
        )
    );

backgroundManager($wp_customize, 'aboutblog', 'aboutblog_section', $color='#ffffff'); 


lzCustomLable($wp_customize, 'aboutblog_padding_lbl', 'aboutblog_section', 'Set Padding For Section:');

$wp_customize->add_setting(
    'sec_aboutblogsectionTpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '6em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_aboutblogsectionTpadding',
    array(
        'settings'      => 'sec_aboutblogsectionTpadding',
        'section'       => 'aboutblog_section',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'sec_aboutblogsectionBpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '5em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_aboutblogsectionBpadding',
    array(
        'settings'      => 'sec_aboutblogsectionBpadding',
        'section'       => 'aboutblog_section',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'sec_aboutblogsectionLpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_aboutblogsectionLpadding',
    array(
        'settings'      => 'sec_aboutblogsectionLpadding',
        'section'       => 'aboutblog_section',
        'type'          => 'text',
        'label'         => __( 'Left Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'sec_aboutblogsectionRpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_aboutblogsectionRpadding',
    array(
        'settings'      => 'sec_aboutblogsectionRpadding',
        'section'       => 'aboutblog_section',
        'type'          => 'text',
        'label'         => __( 'Right Padding', 'Luzuk' )
    )
);

lzCustomLable($wp_customize, 'about_blogimgset', 'aboutblog_section', 'Set Left Image For Section:');

$wp_customize->add_setting(
    'aboutblog_image_heading',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text'
    )
);
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'aboutblog_image_heading',
        array(
            'settings'      => 'aboutblog_image_heading',
            'section'       => 'aboutblog_section',
            'label'         => __( 'Left Image', 'Luzuk' ),
        )
    )
);
$wp_customize->add_setting(
    'aboutblog_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'aboutblog_image',
        array(
            'section' => 'aboutblog_section',
            'settings' => 'aboutblog_image',
            'description' => __('Recommended Image Size: 649X687px', 'Luzuk')
        )
    )
);


addColorPalatOption($wp_customize, 'aboutBlog_imghvroverlayColor', 'aboutblog_section', 'Image Hover Overlay Background Color', '#7d52f9');
addColorPalatOption($wp_customize, 'aboutBlog_imghvroverbrssColor', 'aboutblog_section', 'Image Hover Overlay Border Color', '#ffffff');



    $wp_customize->add_setting(
        'aboutblog_title_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'aboutblog_title_heading',
            array(
                'settings'      => 'aboutblog_title_heading',
                'section'       => 'aboutblog_section',
                'label'         => __( 'Section Title & Content', 'Luzuk' ),
            )
        )
    );    

$wp_customize->add_setting(
        'aboutblog_title',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'About Blog', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'aboutblog_title',
        array(
            'settings'      => 'aboutblog_title',
            'section'       => 'aboutblog_section',
            'type'          => 'text',
            'label'         => __( 'Title For Section', 'Luzuk' )
        )
    );
addColorPalatOption($wp_customize, 'aboutBlog_TitleColor', 'aboutblog_section', 'Section Title Color', '#2b2b2b');
addColorPalatOption($wp_customize, 'aboutBlog_TitleBorderColor', 'aboutblog_section', 'Section Title Border Color', '#7d52f9');
 
   $wp_customize->add_setting(
        'aboutblog_text',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus eu pharetra ex. Etiam eget diam ligula. Sed at blandit ante. Vivamus feugiat, lacus eu suscipit mattis, tortor.', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'aboutblog_text',
        array(
            'settings'      => 'aboutblog_text',
            'section'       => 'aboutblog_section',
            'type'          => 'textarea',
            'label'         => __( 'Content for section', 'Luzuk' )
        )
    );

addColorPalatOption($wp_customize, 'aboutBlog_ContentColor', 'aboutblog_section', 'Content Color', '#6d6d6d');




lzCustomLable($wp_customize, 'aboutarea_button_display', 'aboutblog_section', 'Button Display & Text Setting:');
// to show & hide another button
$wp_customize->add_setting( 'aboutblogarea_button' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'aboutblogarea_button', array( 'label' => 'Button Display', 'section' => 'aboutblog_section', 'settings' => 'aboutblogarea_button', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button

$wp_customize->add_setting(
    'aboutblogareabutton',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'learn More' )
    )
);
$wp_customize->add_control(
    'aboutblogareabutton',
    array(
        'settings'      => 'aboutblogareabutton',
        'section'       => 'aboutblog_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'Unbox' )
    )
);
$wp_customize->add_setting('aboutblogareabuttonlink',   array('default'=> 'add Button link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('aboutblogareabuttonlink',
    array(
        'settings'      => 'aboutblogareabuttonlink',
        'section'       => 'aboutblog_section',
        'type'          => 'url',
        'label'         => __( 'Button Url', 'Unbox' )
    )
);

addColorPalatOption($wp_customize, 'aboutBlog_buttontextColor', 'aboutblog_section', 'Button Text Color', '#ffffff');
addColorPalatOption($wp_customize, 'aboutBlog_buttontexthvrsColor', 'aboutblog_section', 'Button Hover Text Color', '#7d51fc');
addColorPalatOption($wp_customize, 'aboutBlog_buttonbackgroundColor', 'aboutblog_section', 'Button Background Color', '#7d51fc');
addColorPalatOption($wp_customize, 'aboutBlog_buttonbackgroundhvrsColor', 'aboutblog_section', 'Button Hover Background Color', '#ffffff');



